@import "../../../theme/pico/_variables.scss";

/**
* Container
*/

.wrapper {
  position: relative;
  display: flex;
  flex-direction: row;
}

.sidecar {
  margin-top: var(--spacing);
  margin-right: var(--spacing);
  max-width: 320px;
  min-height: 240px;
  position: relative;
  overflow: hidden;
}

.container {
  width: 100%;
  margin-right: auto;
  margin-left: auto;
  padding-right: var(--spacing);
  padding-left: var(--spacing);
}

.ad {
  @media (min-width: map-get($breakpoints, "md")) {
    width: 255px;
    height: 600px;
  }
  @media (max-width: map-get($breakpoints, "md")) {
    width: calc(100vw - 2 * var(--spacing));
    height: 160px;
  }
}

@each $size in "sm", "md", "lg", "xl" {
  @media (min-width: map-get($breakpoints, $size)) {
    .container {
      max-width: map-get($viewports, $size);
    }
  }
}

@media (max-width: map-get($breakpoints, "md")) {
  .wrapper {
    flex-direction: column;
  }
  .container {
    padding-right: 0;
    padding-left: 0;
  }
}

@media (min-width: map-get($breakpoints, "md")) {
  .wrapper {
    flex-direction: row;
  }
}
